Skip to main content
GET
Retrieve hot smart-contracts

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

sort
enum<string>

Sort results by:

  • transactions_count - Sort by number of transactions
  • total_gas_used - Sort by total gas used Should be used together with order parameter.
Available options:
transactions_count,
total_gas_used
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
scale
enum<string>
required

Time scale for hot contracts aggregation (5m=5 minutes, 1h=1 hour, 3h=3 hours, 1d=1 day, 7d=7 days, 30d=30 days)

Available options:
5m,
1h,
3h,
1d,
7d,
30d
items_count
integer

Number of items per page

Required range: x >= 1
transactions_count
integer

Transactions count for paging

Required range: x >= 1
total_gas_used
integer

Total gas used for paging

Required range: x >= 0
contract_address_hash
string

Contract address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$

Response

Paginated list of hot smart-contracts.

items
HotContract · object[]
required
next_page_params
object | null
required
Example: